%define name xwc
%define version 0.91.4patch1
%define prefix %{_prefix}

Summary: A filemanager for X.
Name: %{name}
Version: %{version}
Release: 5mdk
Copyright: GPL
Group: File tools
Source0: http://study.haifa.ac.il/~mbaranov/%{name}-%{version}.tar.bz2
Source1: http://study.haifa.ac.il/~mbaranov/fox-0.99.42.tar.bz2
Source2: %{name}
Source3: %{name}.xpm.bz2
Source4: %{name}-32.xpm.bz2
Patch0:	fox-0.99.42.patch.bz2
Patch1:	fox-0.99.42.patch2.bz2
URL: http://study.haifa.ac.il/~mbaranov/xwc.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
X file manager for X11 written using the FOX toolkit.
(http://cyberia.cfdrc.com/FOX/fox.html) It has Windows Commander or MS-Explorer
look and it's very fast and simple. The main features are: file associations,
mount/umount devices, directory tree for quick cd, change file attributes, auto
save registry, compressed archives view/creation/extraction, automatic
query/install/upgrade of rpm's, and much more.

Not required but strongly encouraged to get full use of default file
associations :
. ee for graphics
. xmms for audios
. mtvp for videos
. gxtar for compressed archives

rpm utility and text viewer are provided.

# Yes there is the FOX lib inside this spec file. Since xwc is the only
# software to use this lib, and since the xwc binary is not dynamically
# linked, this decision has been taken in accord with QA.


%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p0

%build

cd fox
autoconf      # patched configure.in
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" %configure --without-opengl
make
cd ..

make CCFLAGS="$RPM_OPT_FLAGS -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_DIRENT_H=1 -fpermissive"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/foxicons
mkdir -p $RPM_BUILD_ROOT/usr/lib/foxrc
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}

make INSTALLDIR=$RPM_BUILD_ROOT/usr drop

# menu
/usr/bin/install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
/usr/bin/install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm


%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi


%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
/usr/bin/*
/usr/lib/menu/%{name}
/usr/lib/foxicons
/usr/lib/foxrc
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm


%changelog
* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-5mdk
- fixed compile flags to actually compile for i586
- added 32x32 icon
- fixed wrong directory owns
- fixed menu mistake

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-4mdk
- added icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-3mdk
- fixed minor bug in "add to archive..."

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-2mdk
- fixed keyboard first-letter browsing bug
- fixed default file sort

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch1-1mdk
- fixed "associate..." when passed a filename with no extension
- fixed page up/down behaviour
- fixed missing key shortcuts
- added keyboard first-letter browsing

* Thu Mar 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch0-2mdk
- small default filetypes add-on

* Thu Mar 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91.4patch0-1mdk
- first release as a mandrake package
- this file manager rocks ! try it.
- customize: better default filetypes associations
- customize: now default start has a tree and a filelist, instead of two filelists
- hack: added support for automatic record of file selectors name/type/size/date/user/group/attr sizes
- hack: now ctrl+a after ctrl+a deselects all [as expected]
- hack: added support for optional automatic record of filetypes associations when invoking "open with"

